MultiScreenResourceEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Class MultiScreenResourceEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.ocap.ui.event.MultiScreenResourceEvent

All Implemented Interfaces:
  Serializable

    public class MultiScreenResourceEvent

extends ResourceStatusEvent

A `MultiScreenResourceEvent` is used to report changes regarding the resource status of multiscreen related resources.

Since:
  MSM I01
Author:
  Glenn Adams
See Also:
  `ResourceStatusEvent`, Serialized Form

Field Summary
`static int` | `MULTI_SCREEN_RESOURCE_SCREEN_RELEASED` The reservation on a screen has just been released, indicating that the screen (or its constituent screen devices) MAY now be reserved (i.e., they are now unreserved).
`static int` | `MULTI_SCREEN_RESOURCE_SCREEN_RESERVED` The reservation on a screen has just been granted to an application, indicating that the screen (including its constituent screen devices) is no longer unreserved.

Constructor Summary
`MultiScreenResourceEvent(Object source, int id)` Constructor for an `MultiScreenResourceEvent`.

Method Summary
`int` | `getId()` Obtain the resource event identifier associated with this event.
`Object` | `getSource()` Obtain the source object that generated this event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTI_SCREEN_RESOURCE_SCREEN_RELEASED

    public static final int MULTI_SCREEN_RESOURCE_SCREEN_RELEASED

  The reservation on a screen has just been released, indicating that the screen (or its constituent screen devices) MAY now be reserved (i.e., they are now unreserved).

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_RESOURCE_SCREEN_RESERVED

    public static final int MULTI_SCREEN_RESOURCE_SCREEN_RESERVED

  The reservation on a screen has just been granted to an application, indicating that the screen (including its constituent screen devices) is no longer unreserved.

  Since:
    MSM I01
  See Also:
    Constant Field Values

Constructor Detail

### MultiScreenResourceEvent

    public MultiScreenResourceEvent(Object source,
                                    int id)

  Constructor for an `MultiScreenResourceEvent`.

  Parameters:
    `source` - A reference to an `HScreen` instance whose resource status has changed.
    `id` - The event identifier of this event.
  Since:
    MSM I01

Method Detail

### getSource

    public Object getSource()

  Obtain the source object that generated this event.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    A reference to an `HScreen` instance, or a subclass thereof.
  Since:
    MSM I01

### getId

    public int getId()

  Obtain the resource event identifier associated with this event.

  Returns:
    The event identifier of this event, where the identifier is one of the following: { `MULTI_SCREEN_RESOURCE_SCREEN_RELEASED`, `MULTI_SCREEN_RESOURCE_SCREEN_RESERVED` }.
  Since:
    MSM I01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD